Subject: [Sipping] torture-tests-00:Line foldes in headers..

From: [email-masked]
Date: Mon, 2 Sep 2002 13:43:08 +0530

Hi,
   I have a question regarding the test-message in 2.34 of the
draft-ietf-sipping-torture-tests-00.
Here, the To header is split accross multiple lines.The concern is that,
the splitting of the 2nd-3rd line is
done inbetween a single token ("other-param" is split as "other-" and
"param")...
Should it not be at the end of a token("other-param" be completely on 2nd
or 3rd line) ?

To: "I have a user name of extreme proportion"
 <sip:[email-masked]:6000;other-
 param=1234567890somethingelselong1234567890>

Quoting from RFC 3261
"SIP header field values can be folded onto multiple lines if the
continuation line begins with a space or
 horizontal tab. All linear white space, including folding, has the same
semantics as SP. A recipient MAY
 replace any linear white space with a single SP before interpreting the
field value or forwarding the message
downstream."

As per the RFC, the LWS(including folding) can be replaced by a single SP.
When this is done in the above example of
To header, it isn't compliant to the ABNF and is hence an illegal case....

Could you pls clarify on the same....
Thanx,
Seshu

------------------------------
http://www.hssworld.com

Alan Johnston <[email-masked]> on 08/31/2002 02:10:31 AM

To:   [email-masked], [email-masked]
cc:    (bcc: Seshashayi T/HSSBLR)

Subject:  Re: [Sipping] torture-tests-00:URI_params <-> to_params bug ?

Hi Ben,

Thanks for you comments on the draft.

You are right - user=phone is a URI parameter and should be inside
<>.  I'll fix that and the other nit.

Thanks,
Alan Johnston
sip:[email-masked]

At 05:11 PM 8/30/2002 +0200, [email-masked] wrote:
>Hi all,
>
>Valid messages 2.36 & 2.42 of draft-ietf-sipping-torture-tests-00.txt
contain
>a To header of format :
>
>To: sip:[email-masked];user=phone
>
>Following the rules defined in Chapter 20.10 of RFC3261 (also applicable
>for To and From) :
>
>"If no "<" and ">" are present, all parameters after the URI are header
>parameters, not URI parameters."
>
>the "user=phone" parameter should be interpreted as a To header parameter
>but I don't think that was the intention in the above mentioned  messages.
>
>Shouldn't it be rather
>
>To: <sip:[email-masked];user=phone>
>
>Ps: The expiry date from page 2 on in the body of the document is
>"February 2002" iso "February 2003"
>
>Best regards,
>
>     Ben.
>
>
>_______________________________________________
>Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
>This list is for NEW development of the application of SIP
>Use [email-masked] for questions on current sip
>Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP